org.apache.struts2.interceptor

## Class ProfilingActivationInterceptor

- java.lang.Object
- - com.opensymphony.xwork2.interceptor.AbstractInterceptor
  - - org.apache.struts2.interceptor.ProfilingActivationInterceptor

- All Implemented Interfaces:
    Interceptor, Serializable

      public class ProfilingActivationInterceptor
      extends AbstractInterceptor

  Allows profiling to be enabled or disabled via request parameters, when devMode is enabled.
  - profilingKey
  none

       // to change the profiling key
       <action ...>
         ...
         <interceptor-ref name="profiling">
            <param name="profilingKey">profilingKey</param>
         </interceptor-ref>
         ...
       </action>

  Version:
    $Date$ $Id$
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProfilingActivationInterceptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getProfilingKey()`
    `String` | `intercept(ActionInvocation invocation)` Override to handle interception
    `void` | `setDevMode(String mode)`
    `void` | `setProfilingKey(String profilingKey)`

    - ### Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor

      `destroy, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProfilingActivationInterceptor

          public ProfilingActivationInterceptor()

  - ### Method Detail

    - #### getProfilingKey

          public String getProfilingKey()

      Returns:
        the profilingKey

    - #### setProfilingKey

          public void setProfilingKey(String profilingKey)

      Parameters:
        `profilingKey` - the profilingKey to set

    - #### setDevMode

          public void setDevMode(String mode)

    - #### intercept

          public String intercept(ActionInvocation invocation)
                           throws Exception

      Description copied from class: `AbstractInterceptor`
      Override to handle interception
      Specified by:
        `intercept` in interface `Interceptor`
      Specified by:
        `intercept` in class `AbstractInterceptor`
      Parameters:
        `invocation` - the action invocation
      Returns:
        the return code, either returned from `ActionInvocation.invoke()`, or from the interceptor itself.
      Throws:
        `Exception` - any system-level error, as defined in `Action.execute()`.

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.